<?php
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_constants.php3");
include($BIB."bib_exploitation.php3");
include($ROOT_DIR."VIRALGAMES_Adm/Bib/bib_synchro.php");
function rowsToTable(&$rows)
{
	while($row = db_fetch_assoc($rows))
	{
		/*
		$tKeys = array_keys($row);
		for($r=0;$r < count($tKeys); $r++)
		{
			$row[$tKeys[$r]] = addslashes($row[$tKeys[$r]]);
		}
		*/
		$tab[] = $row;
	}
	return $tab;
}


echo "start";
flush();

$nbMatchsToShow = 12;
$date = date("Y-m-d H:i:s", my_local_time());

$prerowbets ="SELECT Matchs.MatchId, Team1, Team2, Matchs.Result, Matchs.ShowTime AS ShowTime, Matchs.Category AS Category, Matchs.Date, (Matchs.Date<'".$date."') AS Closed, Name, Image FROM Matchs LEFT JOIN Categories ON Categories.CategoryId=Matchs.Category WHERE (Matchs.Result='0' OR Matchs.etat='".$TYPE_ETAT['WAIT']."')  AND Matchs.ShowTime<'".$date."' AND Categories.ShowTime<'".$date."' ORDER BY Matchs.Date ASC ";

echo "<pre>";
echo $prerowbets;
echo "\n\n";
flush();

$rows = main_db_query($prerowbets);
echo "nb:".db_num_rows($rows);
flush();
$tabMatchs = rowsToTable($rows);


//var_dump($tabMatchs);
flush();
$sMatchs = base64_encode(serialize($tabMatchs));
setExploitationFile("afficher_patch", $sMatchs, true, true);

# on change le propriétaire du dossier, il devient web pour pouvoir être répliqué sans pbs
//cmd($CHOWN_CMD." -R web:web ".$ARCHIVES_DIR);
//on remet le droit d'ecriture sur le fichier
//cmd($CHMOD_CMD." 777 ".$ARCHIVES_DIR);
# le nouveau dossier généré doit être répliqué
shareFileToAll($ARCHIVES_DIR, "");

echo "OK !";
flush();
	

# on récup les containers à calculer
$containers = main_db_query ("SELECT * FROM Containers WHERE ShowTime<'".$date."'  AND EndTime>'".$date."'");
$nbContainers = db_num_rows($containers);

# on va faire $nbContainers + 1 ! pour le container_all !
for($r=0; $r <= $nbContainers; $r++)
{
	$container = db_fetch_array($containers);
	
	if ($container and ($container['Id'] != $CONTAINER_ALL))
	{
		$strContainer = " AND Container = '".$container['Id']."' ";
		$containerId = $container['Id'];
	}
	else
	{
		$strContainer = "";
		$containerId = $CONTAINER_ALL;
	}

	$prerowbets ="SELECT Matchs.MatchId, Team1, Team2, Matchs.Result, Matchs.ShowTime AS ShowTime, Matchs.Category AS Category, Matchs.Date, (Matchs.Date<'".$date."') AS Closed, Name, Image, Container FROM Matchs LEFT JOIN Categories ON Categories.CategoryId=Matchs.Category WHERE (Matchs.Result='0' OR Matchs.etat='".$TYPE_ETAT['WAIT']."')  AND Matchs.ShowTime<'".$date."' AND Categories.ShowTime<'".$date."' ".$strContainer." ORDER BY Container ASC,Matchs.Date ASC ";

	echo "<pre>";
	echo $prerowbets;
	echo "\n\n";
	flush();

	$rows = main_db_query($prerowbets);
	echo "nb:".db_num_rows($rows);
	flush();
	$tabMatchs = rowsToTable($rows);


//	var_dump($tabMatchs);
	flush();
	$mesContainers[$containerId]=$tabMatchs;
	# on parcourt chaque champ et on l'addslash
	$sMatchs = base64_encode(serialize($tabMatchs));
	#debug(print_r($sMatchs, true));
	setExploitationFile("afficher_container_".$containerId, $sMatchs, true, true);

	# on change le propriétaire du dossier, il devient web pour pouvoir être répliqué sans pbs
	//cmd($CHOWN_CMD." -R web:web ".$ARCHIVES_DIR);
	//on remet le droit d'ecriture sur le fichier
	//cmd($CHMOD_CMD." 777 ".$ARCHIVES_DIR);
	# le nouveau dossier généré doit être répliqué
	shareFileToAll($ARCHIVES_DIR, "");
	
	echo "OK !";
	flush();
}

$limite=$nbMatchsToShow;
	for( $i = 0; $i < $limite; $i++ )
	{
		foreach( $mesContainers as $id => $container )
		{
			if( $id != $CONTAINER_ALL && !empty( $container[$i] ) )
				$final[] = $container[$i];
			if( count($final) == $limite )
				break 2;
		}
	}

foreach ($final as $key => $row) {
    $Date[$key]  = $row['Date'];
}
array_multisort($Date, SORT_ASC, $final);

	var_dump($final);
	$sMatchs = base64_encode(serialize($final));
	#debug(print_r($sMatchs, true));
	setExploitationFile("afficher_container_0", $sMatchs, true, true);
	
	# on change le propriétaire du dossier, il devient web pour pouvoir être répliqué sans pbs
	//cmd($CHOWN_CMD." -R web:web ".$ARCHIVES_DIR);
	//on remet le droit d'ecriture sur le fichier
	//cmd($CHMOD_CMD." 777 ".$ARCHIVES_DIR);
	# le nouveau dossier généré doit être répliqué
	shareFileToAll($ARCHIVES_DIR, "");

echo "fini !";

?>		